/**
 * 
 * @author schauer
 * 
 * Kommentierter Code zur Uebung aus dem Java-Kurs vom 26.10.2017
 *
 */

// Definition der Klasse Hund
public class Hund {
	
	// Deklaration der Instanzvariablen	
	
	private String name;
	private String rasse;
	private int groesse;
	
	// Klassischer Konstruktor, belegt die Werte fuer die Instanzvariablen
	
	public Hund(String name, String rasse, int groesse){
		this.name = name;
		this.rasse = rasse;
		this.groesse = groesse;
	}
	
	// Methoden 
	
	public void bellen(){
		System.out.println(this.name+" bellt");
	}
	
	public void laufen(){
		System.out.println("Hund laeuft...");
	}
	
	
	// Main-Methode: Einstieg ins Programm, welches beim Klick auf run ausgefuehrt wird
	public static void main(String[] args) {
		
		// Erzeugung von 3 unterschiedlichen Hunden (Objekte aus der Klasse Hund):
		
		Hund bella = new Hund("Bella","Labrador", 120);
		
		Hund felix = new Hund("Felix","Schaefer",150);
		
		Hund meinDritterHund = new Hund("Tina","Mischling",90);
		
		
		// Meine eben erzeugten Hunde werden jetzt bellen und laufen:
		
		bella.bellen();
		bella.laufen();
		
		felix.bellen();
		felix.laufen();
		
		meinDritterHund.bellen();
		meinDritterHund.laufen();
		
	}

}
